Bug 254286 - New port: multimedia/navidrome self-hosted, open source music server and streamer
Summary: New port: multimedia/navidrome self-hosted, open source music server and stre...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kevin Bowling
URL: https://www.navidrome.org
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-14 19:40 UTC by Daniel Morante
Modified: 2021-06-15 20:26 UTC (History)
3 users (show)

See Also:


Attachments
SVN diff to add the port (56.08 KB, patch)
2021-03-14 19:40 UTC, Daniel Morante
no flags Details | Diff
SVN diff to add the port (56.34 KB, patch)
2021-03-16 10:35 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2021-03-14 19:40:39 UTC
Created attachment 223265 [details]
SVN diff to add the port

Navidrome is a self-hosted, open source music server and streamer compatible with Subsonic/Airsonic written in Go.

https://www.navidrome.org/

Build tested on 12.2-RELEASE amd64 and 13.0-RC2 amd64

- SVN diff attached
- Ran through portlint and portclippy
- Poudriere testing for 11.4 and 32-bit architectures in progress

Please feel free to copy the npm-build cache elsewhere and adjust MASTER_SITES accordingly.
Comment 1 Li-Wen Hsu freebsd_committer 2021-03-15 17:07:40 UTC
It builds failed on i386: https://gist.github.com/4898518e554e76517ade9833c797fac1
Comment 2 Daniel Morante 2021-03-16 10:35:38 UTC
Created attachment 223321 [details]
SVN diff to add the port

New diff to fix build on i386.
Comment 4 Guangyuan Yang freebsd_committer 2021-06-01 21:04:03 UTC
Since we moved to git, 	# $FreeBSD$ is deprecated - otherwise it looks good to my eye.
Comment 5 commit-hook freebsd_committer 2021-06-15 20:22:36 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4caa832223fcbc6d344fe51c52b5b39d40160952

commit 4caa832223fcbc6d344fe51c52b5b39d40160952
Author:     Daniel Morante <daniel@morante.net>
AuthorDate: 2021-06-15 20:19:59 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-15 20:21:26 +0000

    multimedia/navidrome: Music server and streamer

    iNavidrome is a self-hosted, open source music server and streamer
    compatible with Subsonic/Airsonic written in Go.

    https://www.navidrome.org/

    PR:             254286
    Approved by:    new maintainer

 multimedia/navidrome/Makefile (new)                | 245 +++++++++++++++
 multimedia/navidrome/distinfo (new)                | 337 +++++++++++++++++++++
 .../navidrome/files/config.toml.sample.in (new)    |  73 +++++
 multimedia/navidrome/files/navidrome.in (new)      |  51 ++++
 multimedia/navidrome/files/pkg-message.in (new)    |  27 ++
 multimedia/navidrome/pkg-descr (new)               |   7 +
 multimedia/navidrome/pkg-plist (new)               |   6 +
 7 files changed, 746 insertions(+)
Comment 6 Kevin Bowling freebsd_committer 2021-06-15 20:23:06 UTC
Nice work, thanks for your contribution!
Comment 7 Kevin Bowling freebsd_committer 2021-06-15 20:26:21 UTC
(In reply to Daniel Morante from comment #3)
It looks like there are a few new releases, can you update to the latest?